# DOME format version 1.0

Bus, Vn = 16.5, area = 4.0, idx = 1, name = "Bus 1"
Bus, Vn = 18.0, area = 5.0, idx = 2, name = "Bus 2"
Bus, Vn = 13.8, area = 3.0, idx = 3, name = "Bus 3"
Bus, Vn = 230.0, area = 2.0, idx = 4, name = "Bus 4"
Bus, Vn = 230.0, area = 2.0, idx = 5, name = "Bus 5"
Bus, Vn = 230.0, area = 2.0, idx = 6, name = "Bus 6"
Bus, Vn = 230.0, area = 2.0, idx = 7, name = "Bus 7"
Bus, Vn = 230.0, area = 2.0, idx = 8, name = "Bus 8"
Bus, Vn = 230.0, area = 2.0, idx = 9, name = "Bus 9"

PQ, Vn = 230.0, bus = 6, idx = 6, name = "PQ 1", p = 0.9,
    q = 0.3, vmax = 1.2, vmin = 0.8, z = 0.0
PQ, Vn = 230.0, bus = 8, idx = 8, name = "PQ 2", p = 1.0,
    q = 0.35, vmax = 1.2, vmin = 0.8, z = 0.0
PQ, Vn = 230.0, bus = 5, idx = 5, name = "PQ 3", p = 1.25,
    q = 0.5, vmax = 1.2, vmin = 0.8, z = 0.

PVgen, Vn = 18.0, bus = 2, busr = 2, idx = 2, name = "PVgen 1",
       pg = 1.63, qmax = 99.0, qmin = -99.0, v0 = 1.025
PVgen, Vn = 13.8, bus = 3, busr = 3, idx = 3, name = "PVgen 2",
       pg = 0.85, qmax = 99.0, qmin = -99.0, v0 = 1.025

Slack, Vn = 16.5, bus = 1, busr = 1, idx = 1, name = "Slack 1",
       pg = 0.8, qmax = 99.0, qmin = -99.0, v0 = 1.04

Line, Vn = 230.0, Vn2 = 230.0, b = 0.209, bus1 = 9, bus2 = 8,
      idx = 1, name = "Line 9-8", r = 0.0119, x = 0.1008
Line, Vn = 230.0, Vn2 = 230.0, b = 0.149, bus1 = 7, bus2 = 8,
      idx = 2, name = "Line 7-8", r = 0.0085, x = 0.072
Line, Vn = 230.0, Vn2 = 230.0, b = 0.358, bus1 = 9, bus2 = 6,
      idx = 3, name = "Line 9-6", r = 0.039, x = 0.17
Line, Vn = 230.0, Vn2 = 230.0, b = 0.306, bus1 = 7, bus2 = 5,
      idx = 4, name = "Line 7-5", r = 0.032, x = 0.161
Line, Vn = 230.0, Vn2 = 230.0, b = 0.176, bus1 = 5, bus2 = 4,
      idx = 5, name = "Line 5-4", r = 0.01, x = 0.085
Line, Vn = 230.0, Vn2 = 230.0, b = 0.158, bus1 = 6, bus2 = 4,
      idx = 6, name = "Line 6-4", r = 0.017, x = 0.092
Line, Vn = 18.0, Vn2 = 230, bus1 = 2, bus2 = 7, idx = 7,
      name = "Traf 2-7", trasf = True, x = 0.0625
Line, Vn = 13.8, Vn2 = 230.0, bus1 = 3, bus2 = 9, idx = 8,
      name = "Traf 3-9", trasf = True, x = 0.0586
Line, Vn = 16.5, Vn2 = 230, bus1 = 1, bus2 = 4, idx = 9,
      name = "Traf 1-4", trasf = True, x = 0.0576

Syn4, M = 47.28, Td10 = 8.96, Tq10 = 0.31, Vn = 16.5, bus = 1,
      gen = 1, idx = 1, name = "Syn4 1", xd = 0.146, xd1 = 0.0608, 
      xq = 0.0969, xq1 = 0.0969, D = 1.0
Syn4, M = 12.8, Td10 = 6.0, Tq10 = 0.535, Vn = 18.0, bus = 2,
      gen = 2, idx = 2, name = "Syn4 2", xd = 0.8958, xd1 = 0.1198,
      xq = 0.8645, xq1 = 0.1969, D = 1.0
Syn4, M = 6.02, Td10 = 5.89, Tq10 = 0.6, Vn = 13.8, bus = 3,
      gen = 3, idx = 3, name = "Syn4 3", xd = 1.3125, xd1 = 0.1813,
      xq = 1.2578, xq1 = 0.25, D = 1.0

Avr1, Ae = 0.0039, Be = 1.555, Ka = 20.0, Kf = 0.063, Ta = 0.2,
      Te = 0.314, Tf = 0.35, idx = 1, name = "Avr1 1", syn = 1, vmax = 2
Avr1, Ae = 0.0039, Be = 1.555, Ka = 20.0, Kf = 0.063, Ta = 0.2,
      Te = 0.314, Tf = 0.35, idx = 2, name = "Avr1 2", syn = 2
Avr1, Ae = 0.0039, Be = 1.555, Ka = 20.0, Kf = 0.063, Ta = 0.2,
      Te = 0.314, Tf = 0.35, idx = 3, name = "Avr1 3", syn = 3

Tg1, syn = 1, pmax = 1.6, agc = "AGC"
Tg1, syn = 2, pmax = 3.2, agc = "AGC"
Tg1, syn = 3, pmax = 1.7, agc = "AGC"

AGC, idx = "AGC", k0 = 20

Node, idx = "node_1", Vdcn = 53.3, voltage = 1.0, Idcn = 2.06
Node, idx = "node_2", Vdcn = 53.3, voltage = 1.0, Idcn = 2.06
Node, idx = "node_0", Vdcn = 53.3, voltage = 0.0, Idcn = 2.06

VSC_dq_shunt, idx = "vsc_1", bus = 8, node1 = "node_1", node2 = "node_0", Vdcn = 53.3,
      rt = 0.002, xt = 0.055, Vnc = 32, g0 = 0, Vn = 230, Sn = 100, Idcn = 2.06, ivscmax = 5, ivscmin = -5

VSC_dq_static1, idx = "vsc_static1_1", vsc = "vsc_1", vacref0 = 1.015882, vdcref0 = 1

Ground, node = "node_0"

R, node1 = "node_1", node2 = "node_2", R = 0.0001, Idcn = 2.06, Vdcn = 53.3

CG, node1 = "node_2", node2 = "node_0", G = 0.00001, C = 0.000387, v0 = 1, Idcn = 2.06, Vdcn = 53.3

VSC_pi1_vac_vdc, vsc_static = "vsc_static1_1", vsc = "vsc_1", Kid = 0.4, Kiq = 0.4, Kivac = 50, Kivdc = 35, Kpd = 0.035, 
		Kpq = 0.035, Kpvac = 35, Kpvdc = 5, vacmax= 100, vacmin= -100, vacomax= 100, vacomin= -100, 
		vdcmax= 100, vdcmin= -100, vdcomax= 100, vdcomin= -100 


########## CONTINGENCY ##########

Fault, Vn = 230.0, bus = 5, idx = "Fault_1", name = "Fault 1", tc = 0.26,
       tf = 0.2, xf = 0.00001, rf = 0.0001

Breaker, bus = 5, idx = "Breaker_1", line = 4, name = "Breaker 1", t1 = 0.26,
        t2 = 100.0, u1 = 1.0, u2 = 1.0

Tuning, setting = 'TDS', pq2z=True, fixt=True, tstep=0.001, tf=1.4
PF, solver = 'NR'


Output, macro = 'V Bus 8*'
Output, macro = 'iqref*'
