# DOME format version 1.0

Bus, Vn = 16.5, area = 4.0, idx = 1, name = "Bus 1"
Bus, Vn = 18.0, area = 5.0, idx = 2, name = "Bus 2"
Bus, Vn = 13.8, area = 3.0, idx = 3, name = "Bus 3"
Bus, Vn = 230.0/(3**0.5), area = 2.0, idx = 4, name = "Bus 4"
Bus, Vn = 230.0/(3**0.5), area = 2.0, idx = 5, name = "Bus 5"
Bus, Vn = 230.0/(3**0.5), area = 2.0, idx = 6, name = "Bus 6"
Bus, Vn = 230.0/(3**0.5), area = 2.0, idx = 7, name = "Bus 7"
Bus, Vn = 230.0/(3**0.5), area = 2.0, idx = 8, name = "Bus 8"
Bus, Vn = 230.0/(3**0.5), area = 2.0, idx = 9, name = "Bus 9"
Bus, Vn = 21.0, area = 2.0, idx = 82, name = "Bus 8_bis"

PQ, Vn = 230/(3**0.5), bus = 6, idx = 6, name = "PQ 1", p = 0.9,
    q = 0.3, vmax = 1.2, vmin = 0.8, z = 0.0, Sn = 100/3
PQ, Vn = 230/(3**0.5), bus = 8, idx = 8, name = "PQ 2", p = 1.0,
    q = 0.35, vmax = 1.2, vmin = 0.8, z = 0.0, Sn = 100/3
PQ, Vn = 230/(3**0.5), bus = 5, idx = 5, name = "PQ 3", p = 1.0,
    q = 0.5, vmax = 1.2, vmin = 0.8, z = 0.0, Sn = 100/3

PQ, Vn = 230/(3**0.5), bus = 5, idx = 51, name = "PQ 31", p = 0.25,
    q = 0.0, vmax = 1.2, vmin = 0.8, z = 0.0, Sn = 100/3
    
PVgen, Vn = 18.0, bus = 2, busr = 2, idx = 2, name = "PVgen 1",
       pg = 1.63, qmax = 0.55*3, qmin = -0.55*3, v0 = 1.025*0.98, Sn = 100/3
PVgen, Vn = 13.8, bus = 3, busr = 3, idx = 3, name = "PVgen 2",
       pg = 0.85, qmax = 0.1*3, qmin = -0.1*3, v0 = 1.025*0.98, Sn = 100/3

Slack, Vn = 16.5, bus = 1, busr = 1, idx = 1, name = "Slack 1",
       pg = 0.8, qmax = 0.42*3, qmin = -0.42*3, v0 = 1.04*0.98, Sn = 100/3

Line, Vn = 230/(3**0.5), Vn2 = 230/(3**0.5), b = 0.209, bus1 = 9, bus2 = 8,
      idx = 1, name = "Line 9-8", r = 0.0119, x = 0.1008
Line, Vn = 230/(3**0.5), Vn2 = 230/(3**0.5), b = 0.149, bus1 = 7, bus2 = 8,
      idx = 2, name = "Line 7-8", r = 0.0085, x = 0.072
Line, Vn = 230/(3**0.5), Vn2 = 230/(3**0.5), b = 0.358, bus1 = 9, bus2 = 6,
      idx = 3, name = "Line 9-6", r = 0.039, x = 0.17
Line, Vn = 230/(3**0.5), Vn2 = 230/(3**0.5), b = 0.306, bus1 = 7, bus2 = 5,
      idx = 4, name = "Line 7-5", r = 0.032, x = 0.161
Line, Vn = 230/(3**0.5), Vn2 = 230/(3**0.5), b = 0.176, bus1 = 5, bus2 = 4,
      idx = 5, name = "Line 5-4", r = 0.01, x = 0.085
Line, Vn = 230/(3**0.5), Vn2 = 230/(3**0.5), b = 0.158, bus1 = 6, bus2 = 4,
      idx = 6, name = "Line 6-4", r = 0.017, x = 0.092
Line, Vn = 18.0, Vn2 = 229.999998722/(3**0.5), bus1 = 2, bus2 = 7, idx = 7,
      name = "Traf 2-7", trasf = True, x = 0.0625
Line, Vn = 13.8, Vn2 = 230/(3**0.5), bus1 = 3, bus2 = 9, idx = 8,
      name = "Traf 3-9", trasf = True, x = 0.0586
Line, Vn = 16.5, Vn2 = 230.000001394/(3**0.5), bus1 = 1, bus2 = 4, idx = 9,
      name = "Traf 1-4", trasf = True, x = 0.0576
Line, Vn = 21.0, Vn2 = 229.999998722/(3**0.5), bus1 = 82, bus2 = 8, idx = 10,
      name = "Traf 8-8bis", trasf = True, x = 0.0625
      
Syn4, M = 47.28, Td10 = 8.96, Tq10 = 0.31, Vn = 16.5, bus = 1,
      gen = 1, idx = 1, name = "Syn4 1", xd = 0.146, xd1 = 0.0608,
      xq = 0.0969, xq1 = 0.0969, Sn = 100/3
Syn4, M = 12.8, Td10 = 6.0, Tq10 = 0.535, Vn = 18.0, bus = 2,
      gen = 2, idx = 2, name = "Syn4 2", xd = 0.8958, xd1 = 0.1198,
      xq = 0.8645, xq1 = 0.1969, Sn = 100/3

Avr1, Ae = 0.0039, Be = 1.555, Ka = 20.0, Kf = 0.063, Ta = 0.2,
      Te = 0.314, Tf = 0.35, idx = 1, name = "Avr1 1", syn = 1
Avr1, Ae = 0.0039, Be = 1.555, Ka = 20.0, Kf = 0.063, Ta = 0.2,
      Te = 0.314, Tf = 0.35, idx = 2, name = "Avr1 2", syn = 2

Tg1, syn = 1, pmax = 1.6*3, agc = "AGC"
Tg1, syn = 2, pmax = 3.2*3, agc = "AGC"

Dfig8, Sn = 100/3, Vn = 13.8, bus = 3, gen = 3, idx = 3, name = "Dfig8 1",
       wind = "wind_c", pmax = 1.15, qmax = 1.0, D = 0.001, fn = 60,
       xm = 0.5, xr0 = 0.01563, xs0 = 0.01714, wmax = 1.2, wmin =0.5, H = 3.5, Tnc = 0.1,
       ng = 50/3, flux = False, toff = 1.5, Kpi = 10, Kpp = 40, rr = 0.01, 
       rs = 0.05, R=35,  eta_mppt=1.2, Tp = 3, ptmax = 10, Kv = 1, shc = 0, Ks = 0.4

########## WINDS
Wind_constant, name = "wind_c", idx = "wind_c", Vwn = 20

AGC, idx = "AGC", k0 = 2
 

##### BES #####

Node, idx = "node_1", Vdcn = 1.5, voltage = 1.0, Idcn = 2.16
Node, idx = "node_0", Vdcn = 1.5, voltage = 0.0, Idcn = 2.16

VSC_dq_shunt, idx = "vsc_1", bus = 82, node1 = "node_1", node2 = "node_0", 
              rt = 0.005, xt = 0.15, Vnc = 0.6*1.5, g0 = 0.01, 
              Kvco = 50, T1p = 2, T2p = 0.001

VSC_dq_static1, idx = "vsc_static1_1", vsc = "vsc_1", vdcref0 = 1.0, 	
             vacref0 = 1.047590

Ground, node = "node_0"

CG, node1 = "node_1", node2 = "node_0", G = 0.0001, C = 0.1, v0 = 1.0


Bess1, idx = "bess_1", node1 = "node_1", node2 = "node_0", vsc = "vsc_static1_1", 
       np = 3*20, ns = 20*32, voc = 2.3, Qn = 30, Ri = 3.05e-4, Qe0 = 5, Idcn = 0.03, Tm = 30,
       be = 2.0354, kp = 406.12e-6, Rp = 406.12e-6, ve = 0.1842, smin = 0.2, smax = 0.95

Bess1_control2, bess = "bess_1", vsc_static = "vsc_static1_1", 
    	        vsc = "vsc_1", Kd = 1, Kmdc = -1.0, db = 0.0, trig = 0.0001,
    	        Tmdc = 0.1, Kmac = 1.0, Tmac = 0.001, taui = 0.003, T1 = 0.01, T2 = 0.05,
                Kppc = -2, Kipc = -0.4, Kdpc = 0, Tf = 1.0, K = 10, busf = 8, Hd = 0.15,
                itdmax = 0.032, itdmin = -0.032, itqmax = 0.2, itqmin = -0.2

SRFPLL, bus = 8, idx = 8

INCLUDE, aux_2.txt

Settings, freq = 60, dev_custom = True
      
