# DOME format version 1.0

Bus, Vn = 18.0, area = 5.0, idx = 2, name = "Bus 2"
Bus, Vn = 13.8, area = 3.0, idx = 3, name = "Bus 3"
Bus, Vn = 230/(3**0.5), area = 2.0, idx = 4, name = "Bus 4"
Bus, Vn = 230/(3**0.5), area = 2.0, idx = 5, name = "Bus 5"
Bus, Vn = 230/(3**0.5), area = 2.0, idx = 6, name = "Bus 6"
Bus, Vn = 230/(3**0.5), area = 2.0, idx = 7, name = "Bus 7"
Bus, Vn = 230/(3**0.5), area = 2.0, idx = 8, name = "Bus 8"
Bus, Vn = 230/(3**0.5), area = 2.0, idx = 9, name = "Bus 9"
Bus, Vn = 21.0, area = 2.0, idx = 82, name = "Bus 8_bis"

PQ, Vn = 230/(3**0.5), bus = 6, idx = 6, name = "PQ 1", p = 0.9,
    q = 0.3, vmax = 1.2, vmin = 0.8, z = 0.0, Sn = 100/3
PQ, Vn = 230/(3**0.5), bus = 8, idx = 8, name = "PQ 2", p = 1.0,
    q = 0.35, vmax = 1.2, vmin = 0.8, z = 0.0, Sn = 100/3
PQ, Vn = 230/(3**0.5), bus = 5, idx = 5, name = "PQ 3", p = 1.0,
    q = 0.5, vmax = 1.2, vmin = 0.8, z = 0.0, Sn = 100/3

PQ, Vn = 230/(3**0.5), bus = 5, idx = 51, name = "PQ 31", p = 0.25,
    q = 0.0, vmax = 1.2, vmin = 0.8, z = 0.0, Sn = 100/3
    
PVgen, Vn = 18.0, bus = 2, busr = 2, idx = 2, name = "PVgen 1",
       pg = 1.63, qmax = 99.0, qmin = -99.0, v0 = 1.025*0.98, Sn = 100/3
PVgen, Vn = 13.8, bus = 3, busr = 3, idx = 3, name = "PVgen 2",
       pg = 0.85, qmax = 99.0, qmin = -99.0, v0 = 1.025*0.98, Sn = 100/3

Slack, Vn = 16.5, bus = 1, busr = 1, idx = 1, name = "Slack 1",
       pg = 0.8, qmax = 99.0, qmin = -99.0, v0 = 1.04*0.98, Sn = 100/3

Line, Vn = 230/(3**0.5), Vn2 = 230/(3**0.5), b = 0.209, bus1 = 9, bus2 = 8,
      idx = 1, name = "Line 9-8", r = 0.0119, x = 0.1008
Line, Vn = 230/(3**0.5), Vn2 = 230/(3**0.5), b = 0.149, bus1 = 7, bus2 = 8,
      idx = 2, name = "Line 7-8", r = 0.0085, x = 0.072
Line, Vn = 230/(3**0.5), Vn2 = 230/(3**0.5), b = 0.358, bus1 = 9, bus2 = 6,
      idx = 3, name = "Line 9-6", r = 0.039, x = 0.17
Line, Vn = 230/(3**0.5), Vn2 = 230/(3**0.5), b = 0.306, bus1 = 7, bus2 = 5,
      idx = 4, name = "Line 7-5", r = 0.032, x = 0.161
Line, Vn = 230/(3**0.5), Vn2 = 230/(3**0.5), b = 0.176, bus1 = 5, bus2 = 4,
      idx = 5, name = "Line 5-4", r = 0.01, x = 0.085
Line, Vn = 230/(3**0.5), Vn2 = 230/(3**0.5), b = 0.158, bus1 = 6, bus2 = 4,
      idx = 6, name = "Line 6-4", r = 0.017, x = 0.092
Line, Vn = 18.0, Vn2 = 229.999998722/(3**0.5), bus1 = 2, bus2 = 7, idx = 7,
      name = "Traf 2-7", trasf = True, x = 0.0625
Line, Vn = 13.8, Vn2 = 230/(3**0.5), bus1 = 3, bus2 = 9, idx = 8,
      name = "Traf 3-9", trasf = True, x = 0.0586
Line, Vn = 16.5, Vn2 = 230.000001394/(3**0.5), bus1 = 1, bus2 = 4, idx = 9,
      name = "Traf 1-4", trasf = True, x = 0.0576
Line, Vn = 21.0, Vn2 = 229.999998722/(3**0.5), bus1 = 82, bus2 = 8, idx = 10,
      name = "Traf 8-8bis", trasf = True, x = 0.0625
      
Syn4, M = 47.28, Td10 = 8.96, Tq10 = 0.31, Vn = 16.5, bus = 1,
      gen = 1, idx = 1, name = "Syn4 1", xd = 0.146, xd1 = 0.0608,
      xq = 0.0969, xq1 = 0.0969, Sn = 100/3
Syn4, M = 12.8, Td10 = 6.0, Tq10 = 0.535, Vn = 18.0, bus = 2,
      gen = 2, idx = 2, name = "Syn4 2", xd = 0.8958, xd1 = 0.1198,
      xq = 0.8645, xq1 = 0.1969, Sn = 100/3

Avr1, Ae = 0.0039, Be = 1.555, Ka = 20.0, Kf = 0.063, Ta = 0.2,
      Te = 0.314, Tf = 0.35, idx = 1, name = "Avr1 1", syn = 1
Avr1, Ae = 0.0039, Be = 1.555, Ka = 20.0, Kf = 0.063, Ta = 0.2,
      Te = 0.314, Tf = 0.35, idx = 2, name = "Avr1 2", syn = 2

Tg1, syn = 1, pmax = 1.6, agc = "AGC"
Tg1, syn = 2, pmax = 3.2, agc = "AGC"

Dfig8, Sn = 100/3, Vn = 13.8, bus = 3, gen = 3, idx = 3, name = "Dfig8 1",
       wind = "wind_c", pmax = 1.15, qmax = 1.0, D = 0.001, fn = 60,
       xm = 0.5, xr0 = 0.01563, xs0 = 0.01714, wmax = 1.2, wmin =0.5, H = 3.5, Tnc = 0.1,
       ng = 50/3, flux = False, toff = 1.5, Kpi = 10, Kpp = 40, rr = 0.01, 
       rs = 0.05, R=35,  eta_mppt=1, Tp = 3, ptmax = 10, Kv = 1, shc = 0, Ks = 0.4

AGC, idx = "AGC", k0 = 2

########## WINDS
Wind_constant, name = "wind_c", idx = "wind_c", Vwn = 20

##### SMES #####

Node, idx = "node_1", Vdcn = 1.5, voltage = 1.0, Idcn = 2.16
Node, idx = "node_0", Vdcn = 1.5, voltage = 0.0, Idcn = 2.16

VSC_dq_shunt, idx = "vsc_1", bus = 82, node1 = "node_1", node2 = "node_0", 
              rt = 0.005, xt = 0.15, Vnc = 0.6*1.5, g0 = 0.01, 
              Kvco = 50, T1p = 2, T2p = 0.001

VSC_dq_static1, idx = "vsc_static1_1", vsc = "vsc_1", vdcref0 = 1.0, 	
             vacref0 = 1.028394

Ground, node = "node_0"

CG, node1 = "node_1", node2 = "node_0", G = 0.0001, C = 0.1, v0 = 1.0            

GenStorage,    idx = "GenStorage_1", node1 = "node_1", node2 = "node_0", 
# State-space matrices:
   A1_11 = -0.00005184,
   A1_12 = -1.00000000,
   A1_21 = 0.00000000,
   A1_22 = -1.00000000,
   B1_11 = 0.00000000,
   B1_21 = -1.99999589,
   B2_11 = 0.00000000,
   B2_21 = 0.00000000,
   K1_11 = 0.00012240,
   K1_21 = 0.99999794,
# Output matrices:
   C1_11 = 0.00000000,
   C1_12 = 0.00000000,
   D1_11 = -4.72222222,
   D2_11 = 0.00000000,
   K2_11 = 2.36111111,
# Leading-coefficient matrices:
   T1_11 = 51.84000000,
   T1_12 = 0.00000000,
   T1_21 = 0.00000000,
   T1_22 = 0.00000000,
   T2_11 = 0.00000000,
   T2_12 = 0.00000000,
# Initial values:
   x0_1 = 2.36111111,
   x0_2 = -0.00000000,
   u0_1 = 0.50000000,
   v0_1 = 0.99999794,
   i0_1 = 0.00000000,
# Energy parameters:
   alpha_1 = 25.92000000,
   alpha_2 = 0.00000000,
   xref_1 = 0.00000000,
   xref_2 = 0.00000000,
   beta_1 = 2.00000000,
   beta_2 = 2.00000000,
# Energy limits:
   Emin = 1.0368000000000002,
   Emax = 337.9979200032,
# DC current sign:
   idcsign = -1.0,
   u = 1
   
GenStorage_control2a, storage = "GenStorage_1", vsc_static = "vsc_static1_1", vsc = "vsc_1", 
                Kmdc = -1.0, Tmdc = 0.1, Kmac = 1.0, Tmac = 0.001, T1 = 0.01, T2 = 0.05, busf = 8,
                Kd = 0.1, trig = 0.1, taui = 0.003, Kppc = 100.0, Kipc = 60.0, K = 10,
                itdmax = 0.32, itdmin = -0.32, itqmax = 0.032, itqmin = -0.032, 
                Kdpc = 0.0, Tf = 0.1, Hd = 0.2, umax = 1, umin = 0

SRFPLL, bus = 8, idx = 8

INCLUDE, aux.txt

