# DOME format version 1.0

Bus, Vn = 16.5, area = 4.0, idx = 1, name = "Bus 1"
Bus, Vn = 18.0, area = 5.0, idx = 2, name = "Bus 2"
Bus, Vn = 13.8, area = 3.0, idx = 3, name = "Bus 3"
Bus, Vn = 230.0, area = 2.0, idx = 4, name = "Bus 4"
Bus, Vn = 230.0, area = 2.0, idx = 5, name = "Bus 5"
Bus, Vn = 230.0, area = 2.0, idx = 6, name = "Bus 6"
Bus, Vn = 230.0, area = 2.0, idx = 7, name = "Bus 7"
Bus, Vn = 230.0, area = 2.0, idx = 8, name = "Bus 8"
Bus, Vn = 230.0, area = 2.0, idx = 9, name = "Bus 9"

PQ, Vn = 230.0, bus = 6, idx = 6, name = "PQ 1", p = 0.9,
    q = 0.3, vmax = 1.2, vmin = 0.8, z = 0.0
PQ, Vn = 230.0, bus = 8, idx = 8, name = "PQ 2", p = 1.0,
    q = 0.35, vmax = 1.2, vmin = 0.8, z = 0.0
PQ, Vn = 230.0, bus = 5, idx = 5, name = "PQ 3", p = 1.25,
    q = 0.5, vmax = 1.2, vmin = 0.8, z = 0.0

Switch, dev = "PQ", devid = 5, t1 = 1.0, u1 = True

PVgen, Vn = 18.0, bus = 2, busr = 2, idx = 2, name = "PVgen 1",
       pg = 1.63, qmax = 99.0, qmin = -99.0, v0 = 1.025
PVgen, Vn = 13.8, bus = 3, busr = 3, idx = 3, name = "PVgen 2",
       pg = 0.85, qmax = 99.0, qmin = -99.0, v0 = 1.025

Slack, Vn = 16.5, bus = 1, busr = 1, idx = 1, name = "Slack 1",
       pg = 0.8, qmax = 99.0, qmin = -99.0, v0 = 1.04

Line, Vn = 230.0, Vn2 = 230.0, b = 0.209, bus1 = 9, bus2 = 8,
      idx = 1, name = "Line 9-8", r = 0.0119, x = 0.1008
Line, Vn = 230.0, Vn2 = 230.0, b = 0.149, bus1 = 7, bus2 = 8,
      idx = 2, name = "Line 7-8", r = 0.0085, x = 0.072
Line, Vn = 230.0, Vn2 = 230.0, b = 0.358, bus1 = 9, bus2 = 6,
      idx = 3, name = "Line 9-6", r = 0.039, x = 0.17
Line, Vn = 230.0, Vn2 = 230.0, b = 0.306, bus1 = 7, bus2 = 5,
      idx = 4, name = "Line 7-5", r = 0.032, x = 0.161
Line, Vn = 230.0, Vn2 = 230.0, b = 0.176, bus1 = 5, bus2 = 4,
      idx = 5, name = "Line 5-4", r = 0.01, x = 0.085
Line, Vn = 230.0, Vn2 = 230.0, b = 0.158, bus1 = 6, bus2 = 4,
      idx = 6, name = "Line 6-4", r = 0.017, x = 0.092
Line, Vn = 18.0, Vn2 = 229.999998722, bus1 = 2, bus2 = 7, idx = 7,
      name = "Traf 2-7", trasf = True, x = 0.0625
Line, Vn = 13.8, Vn2 = 230.0, bus1 = 3, bus2 = 9, idx = 8,
      name = "Traf 3-9", trasf = True, x = 0.0586
Line, Vn = 16.5, Vn2 = 230.000001394, bus1 = 1, bus2 = 4, idx = 9,
      name = "Traf 1-4", trasf = True, x = 0.0576

Syn4, M = 47.28, Td10 = 8.96, Tq10 = 0.31, Vn = 16.5, bus = 1,
      gen = 1, idx = 1, name = "Syn4 1", xd = 0.146, xd1 = 0.0608,
      xq = 0.0969, xq1 = 0.0969
Syn4, M = 12.8, Td10 = 6.0, Tq10 = 0.535, Vn = 18.0, bus = 2,
      gen = 2, idx = 2, name = "Syn4 2", xd = 0.8958, xd1 = 0.1198,
      xq = 0.8645, xq1 = 0.1969
Syn4, M = 6.02, Td10 = 5.89, Tq10 = 0.6, Vn = 13.8, bus = 3,
      gen = 3, idx = 3, name = "Syn4 3", xd = 1.3125, xd1 = 0.1813,
      xq = 1.2578, xq1 = 0.25

Avr1, Ae = 0.0039, Be = 1.555, Ka = 20.0, Kf = 0.063, Ta = 0.2,
      Te = 0.314, Tf = 0.35, idx = 1, name = "Avr1 1", syn = 1
Avr1, Ae = 0.0039, Be = 1.555, Ka = 20.0, Kf = 0.063, Ta = 0.2,
      Te = 0.314, Tf = 0.35, idx = 2, name = "Avr1 2", syn = 2
Avr1, Ae = 0.0039, Be = 1.555, Ka = 20.0, Kf = 0.063, Ta = 0.2,
      Te = 0.314, Tf = 0.35, idx = 3, name = "Avr1 3", syn = 3

Tg1, syn = 1, pmax = 1.6, agc = "AGC"
Tg1, syn = 2, pmax = 3.2, agc = "AGC"
Tg1, syn = 3, pmax = 1.7, agc = "AGC"

AGC, idx = "AGC", k0 = 2

INCLUDE, agc.txt
