# DOME format version 1.0

Bus, Vn = 16.5, area = 4.0, idx = 1, name = "Bus 1"
Bus, Vn = 18.0, area = 5.0, idx = 2, name = "Bus 2"
Bus, Vn = 13.8, area = 3.0, idx = 3, name = "Bus 3"
Bus, Vn = 230.0, area = 2.0, idx = 4, name = "Bus 4"
Bus, Vn = 230.0, area = 2.0, idx = 5, name = "Bus 5"
Bus, Vn = 230.0, area = 2.0, idx = 6, name = "Bus 6"
Bus, Vn = 230.0, area = 2.0, idx = 7, name = "Bus 7"
Bus, Vn = 230.0, area = 2.0, idx = 8, name = "Bus 8"
Bus, Vn = 230.0, area = 2.0, idx = 9, name = "Bus 9"

PQ, Vn = 230.0, bus = 6, idx = 6, name = "PQ 1", p = 0.9,
    q = 0.3, vmax = 1.2, vmin = 0.8, z = 0.0
PQ, Vn = 230.0, bus = 8, idx = 8, name = "PQ 2", p = 1.0,
    q = 0.35, vmax = 1.2, vmin = 0.8, z = 0.0
PQ, Vn = 230.0, bus = 5, idx = 5, name = "PQ 3", p = 1.25,
    q = 0.5, vmax = 1.2, vmin = 0.8, z = 0.0

PVgen, Vn = 18.0, bus = 2, busr = 2, idx = 2, name = "PVgen 1",
       pg = 1.63, qmax = 99.0, qmin = -99.0, v0 = 1.025
PVgen, Vn = 13.8, bus = 3, busr = 3, idx = 3, name = "PVgen 2",
       pg = 0.85, qmax = 99.0, qmin = -99.0, v0 = 1.025

Slack, Vn = 16.5, bus = 1, busr = 1, idx = 1, name = "Slack 1",
       pg = 0.8, qmax = 99.0, qmin = -99.0, v0 = 1.04

Line, Vn = 230.0, Vn2 = 230.0, b = 0.209, bus1 = 9, bus2 = 8,
      idx = 1, name = "Line 9-8", r = 0.0119, x = 0.1008
Line, Vn = 230.0, Vn2 = 230.0, b = 0.149, bus1 = 7, bus2 = 8,
      idx = 2, name = "Line 7-8", r = 0.0085, x = 0.072
Line, Vn = 230.0, Vn2 = 230.0, b = 0.358, bus1 = 9, bus2 = 6,
      idx = 3, name = "Line 9-6", r = 0.039, x = 0.17
Line, Vn = 230.0, Vn2 = 230.0, b = 0.306, bus1 = 7, bus2 = 5,
      idx = 4, name = "Line 7-5", r = 0.032, x = 0.161
Line, Vn = 230.0, Vn2 = 230.0, b = 0.176, bus1 = 5, bus2 = 4,
      idx = 5, name = "Line 5-4", r = 0.01, x = 0.085
Line, Vn = 230.0, Vn2 = 230.0, b = 0.158, bus1 = 6, bus2 = 4,
      idx = 6, name = "Line 6-4", r = 0.017, x = 0.092
Line, Vn = 18.0, Vn2 = 230.0, bus1 = 2, bus2 = 7, idx = 7,
      name = "Traf 2-7", trasf = True, x = 0.0625
Line, Vn = 13.8, Vn2 = 230.0, bus1 = 3, bus2 = 9, idx = 8,
      name = "Traf 3-9", trasf = True, x = 0.0586
Line, Vn = 16.5, Vn2 = 230.0, bus1 = 1, bus2 = 4, idx = 9,
      name = "Traf 1-4", trasf = True, x = 0.0576

Fault, Vn = 230.0, bus = 7, idx = "Fault_1", name = "Fault 1", tc = 0.56,
       tf = 0.5, xf = 0.001

Breaker, bus = 7, idx = "Breaker_1", line = 4, name = "Breaker 1", t1 = 0.56,
         t2 = 200.0, u1 = 1.0

Syn2, M = 12.8, Vn = 18.0, bus = 2, gen = 2, idx = 1, flux = False, 
      name = "Syn2 1", xd1 = 0.1198, xl = 0.0521, xq = 0.1198
Syn2, M = 6.02, Vn = 13.8, bus = 3, gen = 3, idx = 2, flux = False, 
      name = "Syn2 2", xd1 = 0.1813, xl = 0.0742, xq = 0.1813
Syn2, M = 47.28, Vn = 16.5, bus = 1, gen = 1, idx = 3, flux = False, 
      name = "Syn2 3", xd1 = 0.0608, xl = 0.0336, xq = 0.0608

INCLUDE, classic.txt

